/* Calcolo del massimo divisore comune fra due numeri */

#include <stdio.h>

#define NON_INIZIALIZZATO -1
#define SUCCESSO 0

int main(){
	int num1=NON_INIZIALIZZATO, num2=NON_INIZIALIZZATO;
	int mcd=1, test=1, ndiv=0;
	
	/* Lettura input */
	while(num1<=0) {
		printf("Inserire un primo numero positivo: ");
		scanf("%d", &num1);
	}
	while(num2<=0) {
		printf("Inserire un secondo numero positivo: ");
		scanf("%d", &num2);
	}
	

	/* Calcolo del m.c.d. */
	for(test=1; test<=num1 && test<=num2; test++) {
		printf("Test %d\n", test);
		if ((num1%test==0) && (num2%test==0)){
			mcd=test;
			ndiv++;
			printf("Store %d\n", mcd);
		}
	}

	/* Output */
	printf("m.c.d.=%d\n", mcd);
	printf("numero divisori comuni = %d\n", ndiv);

	return SUCCESSO;
}
